# Reference

SpeedCrunch includes a large number of built-in math functions and constants. They are documented in this reference, organized by categories. There is also an alphabetical list of all functions.

## Built-in Functions

- Basic Math Functions
  - General
  - Trigonometric & Inverse Trigonometric
  - Hyperbolic & Inverse Hyperbolic
  - Special
  - Complex Numbers
  - Various
- Integer & Bitwise Arithmetic Functions
  - Bitwise Operations
  - Numeral Bases
  - Rounding
  - Integer Division
- Statistical Functions
  - General
  - Binomial Distribution
  - Hypergeometric Distribution
  - Poisson Distribution
- IEEE-754 Functions

## Constants

- Constants